#include <string.h>
#include "esp_system.h"
#include "esp_log.h"
#include <esp_http_server.h>
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/event_groups.h"

#include <jannex/jannex.h>
#include <jannex/api/customAPIHandler.h>

#include "api/start.h"

static const char *TAG = "esp32-template";

void customAPIHandler(httpd_handle_t server)
{
    httpd_register_uri_handler(server, &api_start);
}

void app_main(void)
{
    setCustomAPIHandler(customAPIHandler);
    initJannex();

    updateJannex();

    while (true)
    {
        vTaskDelay(1000 / portTICK_PERIOD_MS);
    }
}
